%global pypi_name pytest-benchmark

Name:       python-%{pypi_name}
Version:    4.0.0
Release:    %mkrel 1
Summary:    A py.test fixture for benchmarking code
Group:      Development/Python
License:    BSD
URL:        https://pytest-benchmark.readthedocs.io
Source:     https://github.com/ionelmc/%{pypi_name}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
# Tests
#BuildRequires: python3-cpuinfo
#BuildRequires: python3-pytest
#BuildRequires: python3-elasticsearch
#BuildRequires: python3-freezegun
#BuildRequires: python3-pytest-xdist
#BuildRequires: python3-pygal

%global _description\
This plugin provides a benchmark fixture. This fixture is a callable object\
that will benchmark any function passed to it.\
\
Notable features and goals:\
\
  - Sensible defaults and automatic calibration for microbenchmarks\
  - Good integration with pytest\
  - Comparison and regression tracking\
  - Exhausive statistics\
  - JSON export

%description %_description

%package -n python3-%{pypi_name}
Summary: %summary
%py_provides python3-%{pypi_name}
Requires: python3-pytest
Requires: python3-cpuinfo

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
# Tests disabled (missing dependency: aspectlib)
#%%pytest

%files -n python3-%{pypi_name}
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst AUTHORS.rst
%license LICENSE
%{_bindir}/py.test-benchmark
%{_bindir}/pytest-benchmark
%{python3_sitelib}/pytest_benchmark
%{python3_sitelib}/pytest_benchmark-%{version}-py*.egg-info


%changelog
* Mon Nov 14 2022 guillomovitch <guillomovitch> 4.0.0-1.mga9
+ Revision: 1907170
- imported package python-pytest-benchmark

